Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_EC_Priority_Scheduling Class Reference

A scheduling strategy that uses TAO's real-time scheduler. More...

`#include <EC_Priority_Scheduling.h>`

Inheritance diagram for TAO_EC_Priority_Scheduling:

[legend]
Collaboration diagram for TAO_EC_Priority_Scheduling:

[legend]
List of all members.

## Public Methods
| TAO_EC_Priority_Scheduling (RtecScheduler::Scheduler_ptr scheduler)
| Constructor. More...
virtual | ~TAO_EC_Priority_Scheduling (void)
| Destructor. More...
virtual void | add_proxy_supplier_dependencies (TAO_EC_ProxyPushSupplier *supplier, TAO_EC_ProxyPushConsumer *consumer ACE_ENV_ARG_DECL)
| Add all the dependencies between <supplier> and <consumer>. More...
virtual void | schedule_event (const RtecEventComm::EventSet &event, TAO_EC_ProxyPushConsumer *consumer, TAO_EC_Supplier_Filter *filter ACE_ENV_ARG_DECL)
| Schedule an event set and deliver them to the filter in the desired order and grouping. More...
## Private Methods
| ACE_UNIMPLEMENTED_FUNC (TAO_EC_Priority_Scheduling(const TAO_EC_Priority_Scheduling &)) ACE_UNIMPLEMENTED_FUNC(TAO_EC_Priority_Scheduling &operator=(const TAO_EC_Priority_Scheduling &)) void init_rt_info(ACE_ENV_SINGLE_ARG_DECL)
| Initialize our RT_Info handle and dependencies. More...
## Private Attributes
RtecScheduler::Scheduler_var | scheduler_
| The scheduler we are going to use. More...

## Detailed Description

A scheduling strategy that uses TAO's real-time scheduler.

This implementation of the Scheduling_Strategy uses TAO's real-time scheduler.

## Constructor & Destructor Documentation

ACE_INLINE TAO_EC_Priority_Scheduling::TAO_EC_Priority_Scheduling | ( | RtecScheduler::Scheduler_ptr | scheduler | ) |

| Constructor.

TAO_EC_Priority_Scheduling::~TAO_EC_Priority_Scheduling | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

TAO_EC_Priority_Scheduling::ACE_UNIMPLEMENTED_FUNC | ( | TAO_EC_Priority_Scheduling(const TAO_EC_Priority_Scheduling &) |  | ) | const`[private]`

| Initialize our RT_Info handle and dependencies.

void TAO_EC_Priority_Scheduling::add_proxy_supplier_dependencies | ( | TAO_EC_ProxyPushSupplier * | supplier,
|  | TAO_EC_ProxyPushConsumer *consumer | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| Add all the dependencies between <supplier> and <consumer>. Reimplemented from TAO_EC_Scheduling_Strategy.

void TAO_EC_Priority_Scheduling::schedule_event | ( | const RtecEventComm::EventSet & | event,
|  | TAO_EC_ProxyPushConsumer * | consumer,
|  | TAO_EC_Supplier_Filter *filter | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| Schedule an event set and deliver them to the filter in the desired order and grouping. Reimplemented from TAO_EC_Scheduling_Strategy.

## Member Data Documentation

RtecScheduler::Scheduler_var TAO_EC_Priority_Scheduling::scheduler_`[private]`

| The scheduler we are going to use.

The documentation for this class was generated from the following files:

- EC_Priority_Scheduling.h
- EC_Priority_Scheduling.cpp
- EC_Priority_Scheduling.i